Video to Video Edit
curl --request POST \
--url https://api.mulerouter.ai/vendors/klingai/v1/kling-v3-omni/video-to-video/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Add snow falling effect to the video",
"video": "https://example.com/source-video.mp4"
}
'import requests
url = "https://api.mulerouter.ai/vendors/klingai/v1/kling-v3-omni/video-to-video/edit"
payload = {
"prompt": "Add snow falling effect to the video",
"video": "https://example.com/source-video.mp4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Add snow falling effect to the video',
video: 'https://example.com/source-video.mp4'
})
};
fetch('https://api.mulerouter.ai/vendors/klingai/v1/kling-v3-omni/video-to-video/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_info": {
"id": "8e1e315e-b50d-4334-a231-be7d19a372f4",
"status": "pending",
"created_at": "2026-03-03T00:00:00Z",
"updated_at": "2026-03-03T00:00:00Z"
}
}{
"task_info": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "failed",
"error": {
"code": 3001,
"title": "Task Execution Error",
"detail": "Task execution failed"
}
}
}Kling V3 Omni Video-To-Video Edit
Kling V3 Omni Video to Video Edit
Edit an existing video using the Kling V3 Omni model.
POST
/
vendors
/
klingai
/
v1
/
kling-v3-omni
/
video-to-video
/
edit
Video to Video Edit
Overview
Edit existing videos using the Kling V3 Omni model:- Video editing — modify existing videos with text prompts
- Video input — provide the source video URL via
video - Element references — reference up to 4 elements when using reference video
- Standard / Professional modes — 720P (std) or 1080P (pro) output
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Text prompt describing the desired edit.
Maximum string length:
2500Video URL to edit.
Negative prompt to exclude unwanted content.
Optional list of reference image URLs or Base64 strings.
Element list. Combined count of images and elements must not exceed 4 when using reference video.
Maximum array length:
4Show child attributes
Show child attributes
Generation mode. std for standard quality (720P), pro for higher quality (1080P).
Available options:
std, pro Aspect ratio of the generated video.
Available options:
16:9, 9:16, 1:1 Response
Accepted - Task created successfully
Show child attributes
Show child attributes

